BASENC(1)

BEZEICHNUNG
basenc - Daten (de)kodiert zur Standardausgabe leiten

ÜBERSICHT
basenc [OPTION] … [DATEI]

BESCHREIBUNG

basenc kodiert oder dekodiert die angegebene DATEI oder die Standardeingabe. Das Ergebnis wird in die Standardausgabe geschrieben.

liest ohne DATEI oder wenn DATEI - ist, aus der Standardeingabe.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

--base64
    ist gleichbedeutend mit dem Programm base64 (RFC 4648, Abschnitt 4)

--base64url
    Datei- und URL-sicheres base64(1) (RFC 4648, Abschnitt 5)

--base58
    visuell eindeutige Base58-Kodierung

--base32
    ist gleichbedeutend mit dem Programm base32(1) (RFC 4648, Abschnitt 6)

--base32hex
    erweitertes Hexadezimalalphabet in base32(1) (RFC 4648, Abschnitt 7).

--base16
    Hexadezimalkodierung (RFC 4648, Abschnitt 8).

--base2msbf
    Bit-Zeichenkette mit dem höchstwertigen Bit (MSB) zuerst

--base2lsbf
    Bit-Zeichenkette mit dem niedrigstwertigen Bit (LSB) zuerst

-d, --decode
    Daten dekodieren

-i, --ignore-garbage
    Nichtalphabetische Zeichen beim Dekodieren ignorieren.

-w, --wrap=COLS
    Kodierte Zeilen nach ANZAHL Zeichen umbrechen (Voreinstellung 76). Verwenden Sie 0, um Zeilenumbrüche zu verhindern.

--z85
    ASCII85-ähnliche Kodierung (ZeroMQ-Spezifikation Nr. 32/Z85); die Eingabelänge beim Kodieren muss ein Vielfaches von 4 sein; beim Dekodieren muss die Eingabelänge ein Vielfaches von 5 sein.

--help
    Zeigt Hilfeinformationen an und beendet das Programm.

--version
    Gibt Versionsinformationen aus und beendet das Programm.

Beim Dekodieren darf die Eingabe zusätzlich zu den Bytes des normalen Alphabets auch Zeilenvorschübe enthalten. Verwenden Sie --ignore-garbage, um die Arbeit auch nach sonstigen nicht-alphabetischen Zeichen im kodierten Datenstrom nach Möglichkeit fortzusetzen.

BEISPIELE FÜR KODIERUNGEN

    $ printf '\376\117\202' | basenc --base64
    /k+C
    $ printf '\376\117\202' | basenc --base64url
    _k-C
    $ printf '\376\117\202' | basenc --base32
    7ZHYE===
    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===
    $ printf '\376\117\202' | basenc --base16
    FE4F82
    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001
    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010
    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

AUTOR
Geschrieben von Simon Josefsson und Assaf Gordon.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-coreutils@gnu.org.
Website der GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Allgemeine Hilfe zur Benutzung von GNU-Software: https://www.gnu.org/gethelp/
Melden Sie Fehler in der Programmübersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation ist unter <https://www.gnu.org/software/coreutils/basenc>
oder lokal mit folgendem Befehl verfügbar: info '(coreutils) basenc invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.